Package org.zkoss.bind.impl

## Class AbstractForEachStatus

- java.lang.Object
- - org.zkoss.bind.impl.AbstractForEachStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `ForEachStatus`

      public abstract class AbstractForEachStatus
      extends java.lang.Object
      implements ForEachStatus, java.io.Serializable

  The Class AbstractForEachStatus.
  Since:
    6.0.0
  Author:
    dennis
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractForEachStatus()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `getBegin()` | Returns the index (starting from 0) that the iteration begins at, or null if not specified (and 0 is assumed).
    `int` | `getCount()` | Retrieves the "count" of the current round of the iteration.
    `java.lang.Object` | `getEach()` |
    `ForEachStatus` | `getPrevious()` | Returns the status of the enclosing forEach statement.
    `java.lang.Integer` | `getStep()` | Returns the value of the 'step' attribute for the associated tag, or null if no 'step' attribute was specified.
    `boolean` | `isFirst()` | Returns whether the current round is the first pass through the iteration
    `boolean` | `isLast()` | Returns whether the current round is the last pass through the iteration

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.zk.ui.util.ForEachStatus

      `getCurrent, getEnd, getIndex`

- - ### Constructor Detail

    - #### AbstractForEachStatus

          public AbstractForEachStatus()

  - ### Method Detail

    - #### getPrevious

          public ForEachStatus getPrevious()

      Description copied from interface: `ForEachStatus`
      Returns the status of the enclosing forEach statement.
      Specified by:
        `getPrevious` in interface `ForEachStatus`

    - #### getBegin

          public java.lang.Integer getBegin()

      Description copied from interface: `ForEachStatus`
      Returns the index (starting from 0) that the iteration begins at, or null if not specified (and 0 is assumed).
      Specified by:
        `getBegin` in interface `ForEachStatus`

    - #### getStep

          public java.lang.Integer getStep()

      Description copied from interface: `ForEachStatus`
      Returns the value of the 'step' attribute for the associated tag, or null if no 'step' attribute was specified.
      Specified by:
        `getStep` in interface `ForEachStatus`

    - #### isFirst

          public boolean isFirst()

      Description copied from interface: `ForEachStatus`
      Returns whether the current round is the first pass through the iteration
      Specified by:
        `isFirst` in interface `ForEachStatus`

    - #### isLast

          public boolean isLast()

      Description copied from interface: `ForEachStatus`
      Returns whether the current round is the last pass through the iteration
      Specified by:
        `isLast` in interface `ForEachStatus`

    - #### getEach

          public java.lang.Object getEach()

    - #### getCount

          public int getCount()

      Description copied from interface: `ForEachStatus`
      Retrieves the "count" of the current round of the iteration. The count is a relative, 1-based sequence number identifying the current "round" of iteration (in context with all rounds the current iteration will perform). As an example, an iteration with begin = 5, end = 15, and step = 5 produces the counts 1, 2, and 3 in that order.
      Specified by:
        `getCount` in interface `ForEachStatus`